#pragma once

#include "CoreMinimal.h"
#include "EventDrivenModifierCondition.h"
#include "GameplayTagContainer.h"
#include "AnySurvivorHasObjectState.generated.h"

class ASurvivor;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class DBDCOMPETENCE_API UAnySurvivorHasObjectState : public UEventDrivenModifierCondition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	FGameplayTag _stateTag;

protected:
	UFUNCTION(BlueprintCallable)
	void OnSurvivorRemoved(ASurvivor* survivor);

	UFUNCTION(BlueprintCallable)
	void OnSurvivorAdded(ASurvivor* survivor);

public:
	UAnySurvivorHasObjectState();
};

FORCEINLINE uint32 GetTypeHash(const UAnySurvivorHasObjectState) { return 0; }
